## edu.cwru.SimpleRTS.agent
Class ScriptedGoalAgent.Goal

    java.lang.Object
      edu.cwru.SimpleRTS.agent.ScriptedGoalAgent.Goal

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ScriptedGoalAgent

    public static class ScriptedGoalAgent.Goal

extends java.lang.Object
implements java.io.Serializable

The goal and the means for achieving it.

See Also:
  Serialized Form

Constructor Summary
`ScriptedGoalAgent.Goal(java.lang.String command, State.StateView state, ScriptedGoalAgent agent)`

Method Summary
`boolean` `tryExecute(State.StateView state, edu.cwru.SimpleRTS.agent.ScriptedGoalAgent.RelevantStateView relstate, java.util.Map<java.lang.Integer,Action> actions)` See if those actions can be done.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptedGoalAgent.Goal

    public ScriptedGoalAgent.Goal(java.lang.String command,
                                  State.StateView state,
                                  ScriptedGoalAgent agent)

Method Detail

### tryExecute

    public boolean tryExecute(State.StateView state,
                              edu.cwru.SimpleRTS.agent.ScriptedGoalAgent.RelevantStateView relstate,
                              java.util.Map<java.lang.Integer,Action> actions)

  See if those actions can be done. This is not a final test, merely the best that can be done without fully simulating it. This method alters this map by adding actions.

  Parameters:
    `state` -
    `relstate` -
    `actions` - A map builder of actions.
  Returns:
    Assign actions